cURL
curl --request POST \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/proposal/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"optimized_weights": [
{
"ticker": "<string>",
"weight": "<string>"
}
]
}
'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/proposal/"
payload = { "optimized_weights": [
{
"ticker": "<string>",
"weight": "<string>"
}
] }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({optimized_weights: [{ticker: '<string>', weight: '<string>'}]})
};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/proposal/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proposal_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cash_buffer_cad_amount": "<string>",
"cash_buffer_usd_amount": "<string>",
"orders": [
{
"ticker": "<string>",
"ticker_symbol": "<string>",
"amount": "<string>",
"tax_lots": [
{
"cost_basis": "<string>",
"quantity": "<string>",
"trade_date": "2023-12-25",
"gain": "<string>"
}
],
"fx_cost_breakdown": {
"base_amount_usd": "<string>",
"fx_rate": "<string>",
"fx_fee_percentage": "<string>",
"fx_fee_amount_usd": "<string>",
"net_amount_usd": "<string>"
},
"amount_usd": "<string>",
"existing_quantity": "<string>",
"existing_weight": "<string>",
"existing_market_value": "<string>",
"target_weight": "<string>"
}
]
}Portfolio Customization
Create Account Trade Proposal
Create a rebalance proposal for a client.
POST
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
clients
/
{client_uuid}
/
accounts
/
{account_uuid}
/
proposal
/
cURL
Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Show child attributes
Show child attributes
⌘I